from flask import Flask
from flask_pymongo import PyMongo

app = Flask(__name__)
app.config["MONGO_URI"] = "mongodb://localhost:27017/squelette"
mongo = PyMongo(app)


def changer_version(idContenu, version, nomBranche=""):
    # on recupere le chemin du fichier associé au contenu (dans les 2 cas)
    chemin = Utils.get_chemin_du_contenu(idContenu)
    repertoire = chemin[:chemin.rfind("/") + 1]

    if version != 0:
        # on change le repertoire récupéré ci dessus dans la bonne version (si on travaille avec une version)
        idCommit = Utils.get_commit_pour_une_version(idContenu, version)
        UtilsGit.changerVersionCommit(repertoire, idCommit)
    else:
        UtilsGit.changerVersionBranche(repertoire, nomBranche)