from pymongo import MongoClient
from random import randrange


class UtilisateurDao:
    client = MongoClient('localhost', 27017)

    ## extraction d'une base de données. Si elle n'existe pas, elle esst créée
    base_donnees = client.squelette

    def presence_utilisateur(self, nomUtilisateur):
        # print("Je suis dans présence utilisateur pour ", nomUtilisateur)
        nmbre = self.base_donnees.utilisateur.find({"nom": nomUtilisateur})
        # print("Et j'en ai trouvé : ", nmbre.count())

        return nmbre.count() == 1

    def ajouter_utilisateur(self, nomUtilisateur):
        self.base_donnees.utilisateur.insert_one(
            {"nom": nomUtilisateur, "note": randrange(0, 10, 1), "tiers": []})
